# PSF-LoginServer - master - net.psforever.objects.vital.resolution.DamageAndResistance
PSF - LoginServer - master - net.psforever.objects.vital.resolution.DamageAndResistance
Keywords: PSF LoginServer master net.psforever.objects.vital.resolution.DamageAndResistance

PSF-LoginServer - master < Back


# Packages

-  package root
  Definition Classes
    root
-  package net
  Definition Classes
    root
-  package psforever
  Definition Classes
    net
-  package objects
  Definition Classes
    psforever
-  package vital
  Definition Classes
    objects
-  package resolution
  Definition Classes
    vital
- DamageAndResistance
- DamageResistanceCalculations
- DamageResistanceModel
- ResolutionCalculations

t

net.psforever.objects.vital.resolution

# DamageAndResistance 

###
Companion object DamageAndResistance

#### trait DamageAndResistance extends AnyRef

The functionality that is necessary for interaction of a vital game object with the rest of the hostile game world.

Source
  DamageResistanceModel.scala

Linear Supertypes
AnyRef, Any
Known Subclasses
BoomerDeployableDefinition, ExplosiveDeployableDefinition, SensorDeployableDefinition, ShieldGeneratorDefinition, TelepadDeployableDefinition, TrapDeployableDefinition, TurretDeployableDefinition, DeployableDefinition, ExoSuitDefinition, SpecialExoSuitDefinition, VehicleDefinition, AmsDefinition, AntDefinition, ApcDefinition, CarrierDefinition, DeployingDefinition, RouterDefinition, DoorDefinition, GeneratorDefinition, CaptureFlagDefinition, CaptureFlagSocketDefinition, IFFLockDefinition, LockerDefinition, VehicleSpawnPadDefinition, PainboxDefinition, ResourceSiloDefinition, AmenityDefinition, GeneratorTerminalDefinition, MatrixTerminalDefinition, MedicalTerminalDefinition, OrderTerminalDefinition, ProximityTerminalDefinition, TerminalDefinition, CaptureTerminalDefinition, ImplantTerminalMechDefinition, SpawnTubeDefinition, FacilityTurretDefinition, TurretDefinition, InternalTelepadDefinition, DamageResistanceModel

Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. DamageAndResistance
2. AnyRef
3. Any

1. Hide All
2. Show All

Visibility

1. Public
2. Protected

### Abstract Value Members

1.  abstract def DamageUsing: Selector
2.  abstract def Model: Form
3.  abstract def ResistUsing: ResistanceSelection
4.  abstract def calculate(data: DamageInteraction, resolution: base.DamageType.Value): Output
5.  abstract def calculate(data: DamageInteraction): Output

### Concrete Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##: Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
5.  def clone(): AnyRef
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws(classOf[java.lang.CloneNotSupportedException]) @native()
6.  final def eq(arg0: AnyRef): Boolean
   Definition Classes
     AnyRef
7.  def equals(arg0: AnyRef): Boolean
   Definition Classes
     AnyRef → Any
8.  def finalize(): Unit
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws(classOf[java.lang.Throwable])
9.  final def getClass(): Class[_ <: AnyRef]
   Definition Classes
     AnyRef → Any
   Annotations
     @native()
10.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
11.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
12.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
13.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
14.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
15.  final def synchronized[T0](arg0: => T0): T0
    Definition Classes
      AnyRef
16.  def toString(): String
    Definition Classes
      AnyRef → Any
17.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
18.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
19.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException]) @native()

### Inherited from AnyRef

### Inherited from Any

### Ungrouped